/* AUTRES _________________________________________________________*/
img#image1 {
  margin: 0 -10px -10px -10px;
  width: 102%;
  max-height: 800px;
  object-fit: cover;
}

img.image {
  margin: 0 -10px;
  width: 102%;
  object-fit: cover;
}

section {
  background-color: #aa785b;
  padding: 0px 20px 20px 20px;
  width: auto;
  max-width: 75%;
  display: inline-block;
  font-size: 21px;
  font-family: "Kalam";
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%);
}

div#texte_photo {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-end;
  margin-right: 50px;
  margin-top: 30px;
}

div#flash_image img {
  width: 100%;
  transition: transform 0.5s;
}

div#flash_image {
  position: relative;
  width: 200px;
  height: min-content;
  margin: 0 5%;
}

div#flash_image::before {
  position: absolute;
  content: "";
  top: 35%;
  left: 15%;
  z-index: 2;
  display: block;
  width: 0;
  height: 0;
  background-color: rgba(216, 206, 65, 0.323);
  border-radius: 100%;
  transform: translate(-50%, -50%);
  opacity: 0;
}

div#flash_image:hover::before {
  animation: flash 1s;
}

div#flash_image:hover img {
  transform: rotate(-15deg);
}

@keyframes flash {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.7;
  }
  100% {
    width: 100%;
    height: 100%;
    opacity: 0;
  }
}

section h3 {
  margin: 5px 0 -10px 0;
  font-size: 50px;
  font-family: "Amatic SC";
}

section a:focus,
section a:hover {
  opacity: 0.5;
  transition: 0.3s;
}

section a {
  color: #ffb90c;
  transition: 0.3s;
  position: relative;
}

section a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0%;
  height: 2px;
  background-color: #ffb90c;
  transition: width 0.5s;
}

section a:focus::after,
section a:hover::after {
  width: 100%;
  transition: width 0.5s;
}

div#texte_a_propos img {
  width: 300px;
  height: 300px;
  object-fit: cover;
  display: inline-block;
  margin-top: 70px;
  margin-left: -80px;
}

div#texte_a_propos {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-flow: row nowrap;
  margin: -25px 0 50px 50px;
}

div#texte_a_propos section {
  min-height: 400px;
  width: 50%;
  padding-right: 150px;
}

div#mini_galerie {
  display: flex;
  flex-flow: row wrap;
  width: 102%;
  justify-content: space-around;
  align-items: center;
  margin: 50px -10px 0 -10px;
  padding: 3% 0;
  background: url(../images/ressources/background_mini_galerie.webp);
  background-size: cover;
}

img.image_card {
  height: 100%;
  width: 100%;
}
div.card img {
  transform: scale(1);
  transition: 0.3s ease-in-out;
}
div.card:hover img {
  transform: scale(1.15);
  transition: 0.3s ease-in-out;
}

div.card {
  width: 20%;
  position: relative;
  overflow: hidden;
}

div.card:hover .detail {
  opacity: 1;
  height: 25%;
  box-shadow: 0 6px 14px rgb(0 0 0 / 20%);
}

div.detail {
  position: absolute;
  left: 0;
  top: 0;
  height: 0;
  width: 100%;
  background: var(--background-color);
  transition: 0.3s ease;
  opacity: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

div.detail p {
  font-family: "Exo", sans-serif;
  color: var(--black);
  margin: 5px;
}

div.detail p:nth-child(2) {
  opacity: 0.7;
}

div.detail a {
  margin: 15px 0 5px 0;
  transition: 0.3s;
}

div.detail a:hover {
  opacity: 0.5;
  transform: rotate(15deg);
  transition: 0.3s;
}

div#image1_home {
  position: relative;
}

div#typewriter_container {
  position: absolute;
  top: 40px;
  right: 0;
  width: 350px;
  height: 105px;
  padding-left: 30px;
  background-color: rgba(0, 0, 0, 0.5);
  box-shadow: 0px 0px 30px 30px rgba(0, 0, 0, 0.5);
}

div#typewriter {
  position: relative;
  top: 0;
  left: 0;
}

div#typewriter h1 {
  font-family: "IBM PLex Mono", monospace;
  font-size: 40px;
  color: var(--white-footer);
  display: inline-block;
  position: relative;
}

h1::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  content: "";
  position: absolute;
  display: block;
  height: 100%;
  width: 3px;
  background-color: var(--white-footer);
  right: -7px;
  top: 0;
  animation: cursor 1s infinite;
}

@keyframes cursor {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

main {
  margin-bottom: 0;
}

footer {
  margin-top: -5px;
  background: linear-gradient(#000000 30%, #1f2327);
}

img#divider {
  width: 80%;
  margin: 3% 10%;
  object-fit: cover;
}
